## org.eclipse.emf.importer.rose.builder
Class RoseWalker

    java.lang.Object
      org.eclipse.emf.importer.rose.builder.RoseWalker

    public class RoseWalker

extends java.lang.Object

Traverses the Rose file a second time to create mapping object.

Constructor Summary
`RoseWalker(RoseNode roseNode)`

Method Summary
`void` `traverse(RoseVisitor visitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoseWalker

    public RoseWalker(RoseNode roseNode)

Method Detail

### traverse

    public void traverse(RoseVisitor visitor)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.